Bug 196358 - [NEW PORT] devel/py-argcomplete: command line completion for argparse
Summary: [NEW PORT] devel/py-argcomplete: command line completion for argparse
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: patch-ready
Depends on:
Blocks: 196307
  Show dependency treegraph
 
Reported: 2014-12-29 17:46 UTC by Tony Narlock
Modified: 2015-02-15 12:31 UTC (History)
2 users (show)

See Also:


Attachments
py-argcomplete (1.74 KB, text/plain)
2014-12-29 17:46 UTC, Tony Narlock
no flags Details
Poudriere build output (17.65 KB, text/plain)
2014-12-29 17:48 UTC, Tony Narlock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Narlock 2014-12-29 17:46:50 UTC
Created attachment 151078 [details]
py-argcomplete
Comment 1 Tony Narlock 2014-12-29 17:47:08 UTC
QA
Comment 2 Tony Narlock 2014-12-29 17:48:09 UTC
Created attachment 151079 [details]
Poudriere build output

> $ portlint -ACNc                   
> looks fine.
Comment 3 John Marino freebsd_committer 2015-02-06 15:55:37 UTC
This looks good to me (poudriere-tested).  I'm going to promote the PR and also add python@ in copy.
Comment 4 commit-hook freebsd_committer 2015-02-15 11:18:48 UTC
A commit references this bug:

Author: pi
Date: Sun Feb 15 11:18:25 UTC 2015
New revision: 379032
URL: https://svnweb.freebsd.org/changeset/ports/379032

Log:
  New port: devel/py-argcomplete

  Argcomplete provides easy, extensible command line tab completion
  of arguments for your Python script.

  It makes two assumptions:

  - You're using bash or zsh as your shell
  - You're using argparse to manage your command line arguments/options

  WWW: https://pypi.python.org/pypi/argcomplete

  PR:		196358
  Submitted by:	Tony Narlock <tony@git-pull.com>

Changes:
  head/devel/Makefile
  head/devel/py-argcomplete/
  head/devel/py-argcomplete/Makefile
  head/devel/py-argcomplete/distinfo
  head/devel/py-argcomplete/pkg-descr
Comment 5 Kurt Jaeger freebsd_committer 2015-02-15 12:31:52 UTC
Committed, thanks.